describe('Homepage', () => {
  beforeEach(() => {
    cy.visit('/')
  })

  it('loads the homepage successfully', () => {
    cy.contains('Manage Your Printers')
    cy.get('a[href="/printer"]').should('exist')
  })

  it('shows printer cards', () => {
    cy.get('[class*="w-auto h-36"]').should('exist')
  })

  it('has working navigation', () => {
    cy.get('header').should('exist')
    cy.get('a[href="/"]').should('exist')
  })
})